阿里云服务器ECS    
弹性可伸缩的计算服务,助您降低 IT 成本,提升运维效率,使您更专注于核心业务创新 [咨询更多]
阿里云存储OSS
简单易用、多重冗余、数据备份高可靠、多层次安全防护安全性更强、低成本 [咨询更多]
阿里云数据库RDS
稳定可靠、可弹性伸缩、更拥有容灾、备份、恢复、监控、迁移等方面的全套解决方案 [咨询更多]
阿里云安全产品
DDoS高防IP、web应用防火墙、安骑士、sll证书、态势感知众多阿里云安全产品热销中 [咨询更多]
阿里云折扣优惠    
云服务器ECS、数据库、负载均衡等产品新购、续费、升级联系客服获取更多专属折扣 [咨询更多]
阿里云虚拟主机由于PHP版本问题导致网站访问报错
2020-3-6    点击量:

  问题描述:

  阿里云虚拟主机因为php版本过低导致网站访问出错。

  解决方案:

  1.如下图所示登录阿里云虚拟主机管理控制台-点击对应主机-管理 -左侧高级环境配置 > PHP 版本设置。 在php版本设置处可以选择合适的PHP版本后保存设置 。

  

  2.如下图所示,阿里云虚拟主机更换PHP版本之后,需要在数据库信息>重置密码处选择加密模式为41位。

  

  说明:由于阿里云虚拟主机出于安全考虑PHP5.3版本之后连接MySQL都统一使用41位加密方式,如果在阿里云虚拟主机控制面板修改PHP版本,比如5.2改成5.3,并且没有修改数据库加密方式还是用16位加密方式,仍然会导致访问报错。所以建议您使用41位的加密方式。

  设置完成后请过5分钟左右之再次访问站点测试能否正常访问。

联系客服免费领取更多阿里云产品新购、续费升级折扣,叠加官网活动折上折更优惠